> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Widget Manifest

> Response payload includes widget version and integrity digest (SHA-384)



## OpenAPI

````yaml api-reference/openapi-payments.json GET /payments/v1/widget/manifest
openapi: 3.0.0
info:
  title: Forte Payments API
  version: v1.0.0
servers:
  - url: https://sandbox-api.sandbox.lemmax.com
    variables: {}
security:
  - authorization: []
tags:
  - name: Forte Payments
  - name: Forte Compliance
paths:
  /payments/v1/widget/manifest:
    get:
      tags:
        - Forte Payments
      summary: Shows current widget manifest
      description: Response payload includes widget version and integrity digest (SHA-384)
      operationId: getWidgetManifest
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/widgetManifestResponse'
          description: Widget manifest response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Not Found
        '406':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Not Acceptable
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Too Many Requests
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Bad Request
      callbacks: {}
      security:
        - authorization: []
components:
  schemas:
    widgetManifestResponse:
      additionalProperties: false
      description: Widget manifest version and integrity digest
      example:
        data:
          file_name: forte-payments-widget-6.0.0.js
          integrity:
            digest: >-
              sha384-dZxnZKTtQPnTXisZuScZ8RYBhWyCdMpOcGRAxyWLdFPCwsskjroJPUrLn4hbIiMW
            type: sha-384
      properties:
        data:
          additionalProperties: false
          properties:
            file_name:
              type: string
              x-struct: null
              x-validate: null
            integrity:
              additionalProperties: false
              properties:
                digest:
                  description: SHA-384 SRI hash
                  example: >-
                    sha384-dZxnZKTtQPnTXisZuScZ8RYBhWyCdMpOcGRAxyWLdFPCwsskjroJPUrLn4hbIiMW
                  maxLength: 71
                  minLength: 71
                  nullable: false
                  pattern: ^sha384-[a-zA-Z0-9+/]{64}$
                  type: string
                  x-struct: null
                  x-validate: null
                type:
                  type: string
                  x-struct: null
                  x-validate: null
              required:
                - type
                - digest
              type: object
              x-struct: null
              x-validate: null
          required:
            - integrity
            - file_name
          type: object
          x-struct: null
          x-validate: null
      required:
        - data
      title: widgetManifestResponse
      type: object
      x-struct: Elixir.FortePaymentSvcWeb.OpenApi.Novapay.WidgetManifestResponse
      x-validate: null
    JsonErrorResponse:
      additionalProperties: false
      example:
        error:
          message: The Foo resource could not be found
          reason: Not Found
          status: 404
      properties:
        error:
          additionalProperties: false
          properties:
            code:
              oneOf:
                - format: int32
                  type: integer
                  x-struct: null
                  x-validate: null
                - maxLength: 1000
                  type: string
                  x-pnc-external: true
                  x-struct: null
                  x-validate: null
              x-struct: null
              x-validate: null
            message:
              description: >-
                Extra information about the error that may be displayed, but
                should not be used for programmatic matching
              example: The Foo resource could not be found
              maxLength: 1000
              minLength: 0
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: HTTP status description
              example: Not Found
              maxLength: 1000
              minLength: 1
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 404
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: JsonErrorResponse
      type: object
      x-struct: Elixir.PncCommon.OpenApi.JsonErrorResponse
      x-validate: null
  securitySchemes:
    authorization:
      description: '`access_token` returned by the `/auth/v1/oauth2/tokens` API call.'
      scheme: bearer
      type: http

````